commit:     15c1bdd84ac63ab19dc25b861884396596f06d63
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Thu Apr  8 13:34:59 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Apr  9 11:49:27 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=15c1bdd8

dev-python/pytest-xvfb: add py3.9

also add dep on python[tk], and correct
DEPEND --> RDEPEND (these should definitely be
runtime deps, ran into importerrors with a binpkg)

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
Closes: https://github.com/gentoo/gentoo/pull/20294
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-python/pytest-xvfb/metadata.xml                |  1 +
 dev-python/pytest-xvfb/pytest-xvfb-2.0.0-r1.ebuild | 34 ++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/dev-python/pytest-xvfb/metadata.xml 
b/dev-python/pytest-xvfb/metadata.xml
index 8762625bd5d..c5489072fff 100644
--- a/dev-python/pytest-xvfb/metadata.xml
+++ b/dev-python/pytest-xvfb/metadata.xml
@@ -9,6 +9,7 @@
                <email>[email protected]</email>
                <name>Proxy Maintainers</name>
        </maintainer>
+       <stabilize-allarches/>
        <upstream>
                <remote-id type="pypi">pytest-xvfb</remote-id>
        </upstream>

diff --git a/dev-python/pytest-xvfb/pytest-xvfb-2.0.0-r1.ebuild 
b/dev-python/pytest-xvfb/pytest-xvfb-2.0.0-r1.ebuild
new file mode 100644
index 00000000000..413aadefb50
--- /dev/null
+++ b/dev-python/pytest-xvfb/pytest-xvfb-2.0.0-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_REQ_USE="tk"
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="A pytest plugin to run Xvfb for tests"
+HOMEPAGE="https://pypi.org/project/pytest-xvfb/";
+SRC_URI="https://github.com/The-Compiler/pytest-xvfb/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       >=dev-python/pytest-2.8.1[${PYTHON_USEDEP}]
+       >=dev-python/pyvirtualdisplay-1.3[${PYTHON_USEDEP}]
+       x11-base/xorg-server[xvfb]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       local -x PYTHONPATH="${BUILD_DIR}/install/lib"
+       esetup.py install \
+               --root="${BUILD_DIR}/install" \
+               --install-lib=lib
+
+       pytest -vv || die "Tests fail with ${EPYTHON}"
+}

Reply via email to